/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.espin.casa/albert/cml04-falcon-system/injector/app"
	"github.com/spf13/cobra"
)

// injectorCmd represents the injector command
var injectorCmd = &cobra.Command{
	Use:   "injector",
	Short: "Injector",
	Long:  "Injector",
	Run:   app.Run,
}

func init() {
	rootCmd.AddCommand(injectorCmd)

	injectorCmd.Flags().String("http-addr", ":3000", "nats.io broker host address")
	injectorCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	injectorCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	injectorCmd.Flags().String("log-level", "debug", "log level trace")
}
