/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.espin.casa/albert/cml04-falcon-system/labeler/app"
	"github.com/spf13/cobra"
)

// labelerCmd represents the labeler command
var labelerCmd = &cobra.Command{
	Use:   "labeler",
	Short: "Label service",
	Long:  "Label servicce",
	Run:   app.Run,
}

func init() {
	rootCmd.AddCommand(labelerCmd)
	// flags
	labelerCmd.Flags().String("db-username", "postgres", "database username")
	labelerCmd.Flags().String("db-password", "Me8140@01", "database user password")
	labelerCmd.Flags().String("db-host", "db", "database host address")
	labelerCmd.Flags().Int("db-port", 5432, "database tcp port")
	labelerCmd.Flags().String("db-name", "falcon", "database user password")
	labelerCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	labelerCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	labelerCmd.Flags().String("log-level", "debug", "log level trace")
}
