/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
)

// eventerCmd represents the eventer command
var eventerCmd = &cobra.Command{
	Use:   "eventer",
	Short: "falcon system eventer",
	Long:  "falcon system eventer",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("eventer called")
	},
}

func init() {
	rootCmd.AddCommand(eventerCmd)

	// flags
	eventerCmd.Flags().String("db-username", "postgres", "database username")
	eventerCmd.Flags().String("db-password", "Me8140@01", "database user password")
	eventerCmd.Flags().String("db-host", "db", "database host address")
	eventerCmd.Flags().Int("db-port", 5432, "database tcp port")
	eventerCmd.Flags().String("db-name", "falcon", "database user password")
	eventerCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	eventerCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	eventerCmd.Flags().String("log-level", "debug", "log level trace")
}
